#include <Windows.h>
#include <stdio.h>
#include <tchar.h>
#include "UnicoMonitorClient.h"

#ifdef _WIN64
  #pragma comment( lib, "UnicoMonitorClient64.lib" )
#else
  #pragma comment( lib, "UnicoMonitorClient.lib" )
#endif

using namespace UnicsLib;

//#define ___MULTI_LOG___

#if defined(___MULTI_LOG___)
int _tmain(int argc, _TCHAR* argv[])
{
	UINT	TimoMsec     = 5000;	// 5000 msec
	char	PrefixMain[] = "MA";
	char	PrefixSub[]  = "SU";
	char	IPAdrs[]     = "127.0.0.1";
	int		PortNo       = 5588;
	int		ConsoleSW    = 0;

	CUnicoMonitorClient	LogMain( IPAdrs, PortNo, PrefixMain, ConsoleSW );
	CUnicoMonitorClient	LogSub(  IPAdrs, PortNo, PrefixSub,  ConsoleSW );

	if( LogMain.WaitMonitorReady( TimoMsec ) == 0 ) {
		MessageBox( NULL, _T("UnicoMonitor NĂ܂"), _T("G["), MB_OK | MB_ICONERROR );
		return EXIT_FAILURE;
	}

	for( int i=0; i<100; i++ ) {
		LogMain.Printf( "(CPP) Test Message for Main : [%d]",        (i+1) );
		LogSub .Printf( "(CPP) 01234567890123456789 for Sub : [%d]", (i+1) );
	}

	LogMain.Stop();
	LogSub .Stop();

	return 0;
}
#else
int _tmain(int argc, _TCHAR* argv[])
{
	UINT	TimoMsec     = 5000;	// 5000 msec
	char	Prefix[]     = "MA";
	char	IPAdrs[]     = "127.0.0.1";
	int		PortNo       = 5588;
	int		ConsoleSW    = 0;
	UINT	hDefault     = 0;

	StartDefaultLogPrinter( IPAdrs, PortNo, Prefix, ConsoleSW );

	if( WaitLogMonitorReady( hDefault, TimoMsec ) == 0 ) {
		MessageBox( NULL, _T("UnicoMonitor NĂ܂"), _T("G["), MB_OK | MB_ICONERROR );
		return EXIT_FAILURE;
	}

	for( int i=0; i<100; i++ ) {
#ifdef _WIN64
		_LogPrintf( "(x64 CPP) Test Message for Main : [%d]", (i+1) );
#else
		_LogPrintf( "(Win32 CPP) Test Message for Main : [%d]", (i+1) );
#endif
	}

	StopLogPrinter( hDefault );

	return 0;
}
#endif
