﻿using System;
using System.Windows.Forms;
using UnicsLib;

namespace LogOutputSample
{
    class Program
    {
        static void Main(string[] args)
        {
            uint   TimoMsec   = 5000;       // 5000 msec
            string PrefixMain = "MA";
            string PrefixSub  = "SU";
            string IPAdrs     = "127.0.0.1";
            int    PortNo     = 5588;
            int    ConsoleSW  = 0;
            string buff;

            CLog LogMain = new CLog(IPAdrs, PortNo, PrefixMain, ConsoleSW);
            CLog LogSub  = new CLog(IPAdrs, PortNo, PrefixSub,  ConsoleSW);

            if (LogMain.WaitMonitorReady(TimoMsec) == 0)
            {
                MessageBox.Show("UnicoMonitor が起動していません", "エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            for (int i = 0; i < 100; i++)
            {
#if WIN64
                buff = "(x64 C#) Test Message for Main : [" + (i + 1).ToString() + "]";
#else
                buff = "(x86 C#) Test Message for Main : [" + (i + 1).ToString() + "]";
#endif
                LogMain.Print(buff);

#if WIN64
                buff = "(x64 C#) 01234567890123456789 for Sub : [" + (i + 1).ToString() + "]";
#else
                buff = "(x86 C#) 01234567890123456789 for Sub : [" + (i + 1).ToString() + "]";
#endif
                LogSub.Print(buff);
            }
        }
    }
}
