﻿Imports System.Runtime.InteropServices

Public Class UnicsLib4Log

    ' ------------------------------------------------------------------------------------------------------------------------------------------------------------ '
    ' DLL Import ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: '
    ' ------------------------------------------------------------------------------------------------------------------------------------------------------------ '
#If PLATFORM = "x64" Then
    Private Const DLL_NAME As String = "UnicoMonitorClient64.dll"
#Else
    Private Const DLL_NAME As String = "UnicoMonitorClient.dll"
#End If

    <DllImport(DLL_NAME, EntryPoint:="StartLogPrinter")>
    Private Shared Function StartLogPrinter(ByVal DestIPAdrs As String, ByVal DestPortNo As Integer, ByVal Prefix As String, ByVal ConsoleSW As Integer) As UInteger
    End Function

    <DllImport(DLL_NAME, EntryPoint:="StopLogPrinter")>
    Private Shared Function StopLogPrinter(ByVal Handle As UInteger) As UInteger
    End Function

    <DllImport(DLL_NAME, EntryPoint:="WaitLogMonitorReady")>
    Private Shared Function WaitLogMonitorReady(ByVal Handle As UInteger, ByVal TimoMsec As UInteger) As UInteger
    End Function

    <DllImport(DLL_NAME, EntryPoint:="LogPrint")>
    Private Shared Function LogPrint(ByVal Handle As UInteger, ByVal buff As String) As UInteger
    End Function


    ' ------------------------------------------------------------------------------------------------------------------------------------------------------------ '
    ' DLL クラス化 ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: '
    ' ------------------------------------------------------------------------------------------------------------------------------------------------------------ '
    Private m_Handle As UInteger = 0

    Public Sub New(ByVal DestIPAdrs As String, ByVal DestPortNo As Integer, ByVal Prefix As String, ByVal ConsoleSW As Integer)
        m_Handle = StartLogPrinter(DestIPAdrs, DestPortNo, Prefix, ConsoleSW)
    End Sub

    Protected Overrides Sub Finalize()
        If m_Handle <> 0 Then
            StopLogPrinter(m_Handle)
            m_Handle = 0
        End If
    End Sub

    Public Function WaitMonitorReady(ByVal TimoMsec As UInteger) As UInteger
        Return WaitLogMonitorReady(m_Handle, TimoMsec)
    End Function

    Public Function Print(ByVal buff As String) As UInteger
        Return LogPrint(m_Handle, buff)
    End Function

End Class
